searchData={"items":[{"type":"module","title":"Clerk","doc":"clerk is a library for authenticating with ClerkJS.","ref":"Clerk.html"},{"type":"module","title":"Installation - Clerk","doc":"The package can be installed by adding `clerk` to your list of dependencies in `mix.exs`:\n\n```elixir\n\ndef deps do\n  [\n    {:clerk, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"Clerk.html#module-installation"},{"type":"module","title":"Usage - Clerk","doc":"","ref":"Clerk.html#module-usage"},{"type":"module","title":"Configuration - Clerk","doc":"```elixir\n  config :clerk,\n    domain: \"example.clerk.accounts.dev\"\n```","ref":"Clerk.html#module-configuration"},{"type":"module","title":"In you application's supervisor: - Clerk","doc":"```elixir\n  children = [\n    ...\n    {Clerk, Application.get_all_env(:clerk)},\n    ...\n  ]\n```","ref":"Clerk.html#module-in-you-application-s-supervisor"},{"type":"function","title":"Clerk.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Clerk.html#child_spec/1"},{"type":"function","title":"Clerk.init/1","doc":"","ref":"Clerk.html#init/1"},{"type":"function","title":"Clerk.start_link/1","doc":"","ref":"Clerk.html#start_link/1"},{"type":"module","title":"Clerk.ActorToken","doc":"","ref":"Clerk.ActorToken.html"},{"type":"function","title":"Clerk.ActorToken.create/4","doc":"Allow your users to sign in on behalf of other users.\n\nhttps://clerk.com/docs/authentication/user-impersonation#actor-tokens","ref":"Clerk.ActorToken.html#create/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.ActorToken.create/4","doc":"","ref":"Clerk.ActorToken.html#create/4-request-body-schema-application-json"},{"type":"function","title":"user_id - Clerk.ActorToken.create/4","doc":"required\nstring\nThe ID of the user that can use the newly created sign in token.","ref":"Clerk.ActorToken.html#create/4-user_id"},{"type":"function","title":"actor - Clerk.ActorToken.create/4","doc":"required\nobject\nThe actor payload. It needs to include a sub property which should contain the ID of the actor. This whole payload will be also included in the JWT session token.","ref":"Clerk.ActorToken.html#create/4-actor"},{"type":"function","title":"expires_in_seconds - Clerk.ActorToken.create/4","doc":"integer\nDefault: 3600\nOptional parameter to specify the life duration of the actor token in seconds. By default, the duration is 1 hour.","ref":"Clerk.ActorToken.html#create/4-expires_in_seconds"},{"type":"function","title":"session_max_duration_in_seconds - Clerk.ActorToken.create/4","doc":"integer\nDefault: 1800\nThe maximum duration that the session which will be created by the generated actor token should last. By default, the duration of a session created via an actor token, lasts 30 minutes.","ref":"Clerk.ActorToken.html#create/4-session_max_duration_in_seconds"},{"type":"function","title":"Clerk.ActorToken.revoke/2","doc":"","ref":"Clerk.ActorToken.html#revoke/2"},{"type":"module","title":"Clerk.AllowList","doc":"","ref":"Clerk.AllowList.html"},{"type":"function","title":"Clerk.AllowList.create/2","doc":"Create an identifier allowed to sign up to an instance","ref":"Clerk.AllowList.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.AllowList.create/2","doc":"","ref":"Clerk.AllowList.html#create/2-request-body-schema-application-json"},{"type":"function","title":"identifier - Clerk.AllowList.create/2","doc":"required\nstring\nThe identifier to be added in the allow-list. This can be an email address, a phone number or a web3 wallet.","ref":"Clerk.AllowList.html#create/2-identifier"},{"type":"function","title":"notify - Clerk.AllowList.create/2","doc":"boolean\nDefault: false\nThis flag denotes whether the given identifier will receive an invitation to join the application. Note that this only works for email address and phone number identifiers.","ref":"Clerk.AllowList.html#create/2-notify"},{"type":"function","title":"Clerk.AllowList.delete/2","doc":"Delete an identifier from the instance allow-list","ref":"Clerk.AllowList.html#delete/2"},{"type":"function","title":"Clerk.AllowList.list/1","doc":"Get a list of all identifiers allowed to sign up to an instance","ref":"Clerk.AllowList.html#list/1"},{"type":"module","title":"Clerk.AuthenticationPlug","doc":"Plug for authenticating requests.","ref":"Clerk.AuthenticationPlug.html"},{"type":"function","title":"Clerk.AuthenticationPlug.call/2","doc":"","ref":"Clerk.AuthenticationPlug.html#call/2"},{"type":"function","title":"Clerk.AuthenticationPlug.init/1","doc":"Authenticates the request.","ref":"Clerk.AuthenticationPlug.html#init/1"},{"type":"module","title":"Clerk.Beta","doc":"Modify instance settings that are currently in beta.","ref":"Clerk.Beta.html"},{"type":"function","title":"Clerk.Beta.update_instance_settings/2","doc":"Updates the settings of an instance","ref":"Clerk.Beta.html#update_instance_settings/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Beta.update_instance_settings/2","doc":"","ref":"Clerk.Beta.html#update_instance_settings/2-request-body-schema-application-json"},{"type":"function","title":"restricted_to_allowlist - Clerk.Beta.update_instance_settings/2","doc":"boolean or null\nDefault: false\nWhether sign up is restricted to email addresses, phone numbers and usernames that are on the allowlist.","ref":"Clerk.Beta.html#update_instance_settings/2-restricted_to_allowlist"},{"type":"function","title":"from_email_address - Clerk.Beta.update_instance_settings/2","doc":"string or null\nThe local part of the email address from which authentication-related emails (e.g. OTP code, magic links) will be sent. Only alphanumeric values are allowed. Note that this value should contain only the local part of the address (e.g. foo for foo@example.com).","ref":"Clerk.Beta.html#update_instance_settings/2-from_email_address"},{"type":"function","title":"progressive_sign_up - Clerk.Beta.update_instance_settings/2","doc":"boolean or null\nEnable the Progressive Sign Up algorithm. Refer to the docs for more info.","ref":"Clerk.Beta.html#update_instance_settings/2-progressive_sign_up"},{"type":"function","title":"session_token_template - Clerk.Beta.update_instance_settings/2","doc":"string or null\nThe name of the JWT Template used to augment your session tokens. To disable this, pass an empty string.","ref":"Clerk.Beta.html#update_instance_settings/2-session_token_template"},{"type":"function","title":"enhanced_email_deliverability - Clerk.Beta.update_instance_settings/2","doc":"boolean or null\nThe \"enhanced_email_deliverability\" feature will send emails from \"verifications@clerk.dev\" instead of your domain. This can be helpful if you do not have a high domain reputation.","ref":"Clerk.Beta.html#update_instance_settings/2-enhanced_email_deliverability"},{"type":"function","title":"test_mode - Clerk.Beta.update_instance_settings/2","doc":"boolean or null\nToggles test mode for this instance, allowing the use of test email addresses and phone numbers. Defaults to true for development instances.","ref":"Clerk.Beta.html#update_instance_settings/2-test_mode"},{"type":"function","title":"Clerk.Beta.update_production_instance_domain/2","doc":"Change the domain of a production instance.\n\nChanging the domain requires updating the DNS records accordingly, deploying new SSL certificates, updating your Social Connection's redirect URLs and setting the new keys in your code.\n\nWARNING: Changing your domain will invalidate all current user sessions (i.e. users will be logged out). Also, while your application is being deployed, a small downtime is expected to occur.","ref":"Clerk.Beta.html#update_production_instance_domain/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Beta.update_production_instance_domain/2","doc":"","ref":"Clerk.Beta.html#update_production_instance_domain/2-request-body-schema-application-json"},{"type":"function","title":"home_url - Clerk.Beta.update_production_instance_domain/2","doc":"string\nThe new home URL of the production instance e.g. https://www.example.com","ref":"Clerk.Beta.html#update_production_instance_domain/2-home_url"},{"type":"module","title":"Clerk.BlockList","doc":"","ref":"Clerk.BlockList.html"},{"type":"function","title":"Clerk.BlockList.create/2","doc":"Create an identifier that is blocked from accessing an instance","ref":"Clerk.BlockList.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.BlockList.create/2","doc":"","ref":"Clerk.BlockList.html#create/2-request-body-schema-application-json"},{"type":"function","title":"identifier - Clerk.BlockList.create/2","doc":"required\nstring\nThe identifier to be added in the block-list. This can be an email address, a phone number or a web3 wallet.","ref":"Clerk.BlockList.html#create/2-identifier"},{"type":"function","title":"Clerk.BlockList.delete/2","doc":"Delete an identifier from the instance block-list","ref":"Clerk.BlockList.html#delete/2"},{"type":"function","title":"Clerk.BlockList.list/1","doc":"Get a list of all identifiers which are not allowed to access an instance","ref":"Clerk.BlockList.html#list/1"},{"type":"module","title":"Clerk.Client","doc":"The Client object tracks sessions, as well as the state of any sign in and sign up attempts, for a given device.\nhttps://clerk.com/docs/reference/clerkjs/client","ref":"Clerk.Client.html"},{"type":"function","title":"Clerk.Client.get/2","doc":"Returns the details of a client.","ref":"Clerk.Client.html#get/2"},{"type":"function","title":"Clerk.Client.verify/2","doc":"Verifies the client in the provided token","ref":"Clerk.Client.html#verify/2"},{"type":"module","title":"Clerk.Domain","doc":"Domains represent each instance's URLs and DNS setup.","ref":"Clerk.Domain.html"},{"type":"function","title":"Clerk.Domain.create/2","doc":"","ref":"Clerk.Domain.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Domain.create/2","doc":"","ref":"Clerk.Domain.html#create/2-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.Domain.create/2","doc":"required\nstring\nThe new domain name. Can contain the port for development instances.","ref":"Clerk.Domain.html#create/2-name"},{"type":"function","title":"is_satellite - Clerk.Domain.create/2","doc":"required\nboolean\nMarks the new domain as satellite. Only true is accepted at the moment.\nValue: true","ref":"Clerk.Domain.html#create/2-is_satellite"},{"type":"function","title":"proxy_url - Clerk.Domain.create/2","doc":"string\nThe full URL of the proxy which will forward requests to the Clerk Frontend API for this domain. Applicable only to production instances.","ref":"Clerk.Domain.html#create/2-proxy_url"},{"type":"function","title":"Clerk.Domain.delete/2","doc":"Deletes a satellite domain for the instance. It is currently not possible to delete the instance's primary domain.","ref":"Clerk.Domain.html#delete/2"},{"type":"function","title":"Clerk.Domain.list/1","doc":"Use this endpoint to get a list of all domains for an instance. The response will contain the primary domain for the instance and any satellite domains. Each domain in the response contains information about the URLs where Clerk operates and the required CNAME targets.","ref":"Clerk.Domain.html#list/1"},{"type":"function","title":"Clerk.Domain.update/3","doc":"The proxy_url can be updated only for production instances. Update one of the instance's domains. Both primary and satellite domains can be updated. If you choose to use Clerk via proxy, use this endpoint to specify the proxy_url. Whenever you decide you'd rather switch to DNS setup for Clerk, simply set proxy_url to null for the domain. When you update a production instance's primary domain name, you have to make sure that you've completed all the necessary setup steps for DNS and emails to work. Expect downtime otherwise. Updating a primary domain's name will also update the instance's home origin, affecting the default application paths.","ref":"Clerk.Domain.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Domain.update/3","doc":"required","ref":"Clerk.Domain.html#update/3-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.Domain.update/3","doc":"string or null\nThe new domain name. For development instances, can contain the port, i.e myhostname:3000. For production instances, must be a valid FQDN, i.e mysite.com. Cannot contain protocol scheme.","ref":"Clerk.Domain.html#update/3-name"},{"type":"function","title":"proxy_url - Clerk.Domain.update/3","doc":"string or null\nThe full URL of the proxy that will forward requests to Clerk's Frontend API. Can only be updated for production instances.","ref":"Clerk.Domain.html#update/3-proxy_url"},{"type":"module","title":"Clerk.EmailAddress","doc":"A user can be associated with one or more email addresses and allows them to be contacted via email.\n\nhttps://clerk.com/docs/reference/clerkjs/emailaddress","ref":"Clerk.EmailAddress.html"},{"type":"function","title":"Clerk.EmailAddress.create/2","doc":"Create a new email address","ref":"Clerk.EmailAddress.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.EmailAddress.create/2","doc":"","ref":"Clerk.EmailAddress.html#create/2-request-body-schema-application-json"},{"type":"function","title":"user_id - Clerk.EmailAddress.create/2","doc":"string\nThe ID representing the user","ref":"Clerk.EmailAddress.html#create/2-user_id"},{"type":"function","title":"email_address - Clerk.EmailAddress.create/2","doc":"string\nThe new email address. Must adhere to the RFC 5322 specification for email address format.","ref":"Clerk.EmailAddress.html#create/2-email_address"},{"type":"function","title":"verified - Clerk.EmailAddress.create/2","doc":"boolean or null\nWhen created, the email address will be marked as verified.","ref":"Clerk.EmailAddress.html#create/2-verified"},{"type":"function","title":"primary - Clerk.EmailAddress.create/2","doc":"boolean or null\nCreate this email address as the primary email address for the user. Default: false, unless it is the first email address.","ref":"Clerk.EmailAddress.html#create/2-primary"},{"type":"function","title":"Clerk.EmailAddress.delete/2","doc":"Delete the email address with the given ID","ref":"Clerk.EmailAddress.html#delete/2"},{"type":"function","title":"Clerk.EmailAddress.get/2","doc":"Returns the details of an email address.","ref":"Clerk.EmailAddress.html#get/2"},{"type":"function","title":"Clerk.EmailAddress.update/3","doc":"Updates an email address.","ref":"Clerk.EmailAddress.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.EmailAddress.update/3","doc":"","ref":"Clerk.EmailAddress.html#update/3-request-body-schema-application-json"},{"type":"function","title":"verified - Clerk.EmailAddress.update/3","doc":"boolean or null\nThe email address will be marked as verified.","ref":"Clerk.EmailAddress.html#update/3-verified"},{"type":"function","title":"primary - Clerk.EmailAddress.update/3","doc":"boolean or null\nSet this email address as the primary email address for the user.","ref":"Clerk.EmailAddress.html#update/3-primary"},{"type":"module","title":"Clerk.HTTP","doc":"","ref":"Clerk.HTTP.html"},{"type":"function","title":"Clerk.HTTP.delete/3","doc":"","ref":"Clerk.HTTP.html#delete/3"},{"type":"function","title":"Clerk.HTTP.get/3","doc":"","ref":"Clerk.HTTP.html#get/3"},{"type":"function","title":"Clerk.HTTP.patch/4","doc":"","ref":"Clerk.HTTP.html#patch/4"},{"type":"function","title":"Clerk.HTTP.post/4","doc":"","ref":"Clerk.HTTP.html#post/4"},{"type":"function","title":"Clerk.HTTP.post_form/4","doc":"","ref":"Clerk.HTTP.html#post_form/4"},{"type":"function","title":"Clerk.HTTP.put/4","doc":"","ref":"Clerk.HTTP.html#put/4"},{"type":"function","title":"Clerk.HTTP.put_form/4","doc":"","ref":"Clerk.HTTP.html#put_form/4"},{"type":"module","title":"Clerk.InstanceSetting","doc":"Modify the settings of your instance.","ref":"Clerk.InstanceSetting.html"},{"type":"function","title":"Clerk.InstanceSetting.update_organization_settings/2","doc":"Updates the organization settings of the instance","ref":"Clerk.InstanceSetting.html#update_organization_settings/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.InstanceSetting.update_organization_settings/2","doc":"","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-request-body-schema-application-json"},{"type":"function","title":"enabled - Clerk.InstanceSetting.update_organization_settings/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-enabled"},{"type":"function","title":"max_allowed_memberships - Clerk.InstanceSetting.update_organization_settings/2","doc":"integer or null","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-max_allowed_memberships"},{"type":"function","title":"admin_delete_enabled - Clerk.InstanceSetting.update_organization_settings/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-admin_delete_enabled"},{"type":"function","title":"domains_enabled - Clerk.InstanceSetting.update_organization_settings/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-domains_enabled"},{"type":"function","title":"domains_enrollment_modes - Clerk.InstanceSetting.update_organization_settings/2","doc":"Array of strings\nSpecify which enrollment modes to enable for your Organization Domains. Supported modes are 'automatic_invitation' & 'automatic_suggestion'.","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-domains_enrollment_modes"},{"type":"function","title":"creator_role_id - Clerk.InstanceSetting.update_organization_settings/2","doc":"string\nSpecify what the default organization role is for an organization creator.","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-creator_role_id"},{"type":"function","title":"domains_default_role_id - Clerk.InstanceSetting.update_organization_settings/2","doc":"string\nSpecify what the default organization role is for the organization domains.","ref":"Clerk.InstanceSetting.html#update_organization_settings/2-domains_default_role_id"},{"type":"function","title":"Clerk.InstanceSetting.update_restrictions/2","doc":"Updates the restriction settings of an instance","ref":"Clerk.InstanceSetting.html#update_restrictions/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.InstanceSetting.update_restrictions/2","doc":"","ref":"Clerk.InstanceSetting.html#update_restrictions/2-request-body-schema-application-json"},{"type":"function","title":"allowlist - Clerk.InstanceSetting.update_restrictions/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_restrictions/2-allowlist"},{"type":"function","title":"blocklist - Clerk.InstanceSetting.update_restrictions/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_restrictions/2-blocklist"},{"type":"function","title":"block_email_subaddresses - Clerk.InstanceSetting.update_restrictions/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_restrictions/2-block_email_subaddresses"},{"type":"function","title":"block_disposable_email_domains - Clerk.InstanceSetting.update_restrictions/2","doc":"boolean or null","ref":"Clerk.InstanceSetting.html#update_restrictions/2-block_disposable_email_domains"},{"type":"function","title":"Clerk.InstanceSetting.update_settings/2","doc":"Updates the settings of an instance","ref":"Clerk.InstanceSetting.html#update_settings/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.InstanceSetting.update_settings/2","doc":"","ref":"Clerk.InstanceSetting.html#update_settings/2-request-body-schema-application-json"},{"type":"function","title":"test_mode - Clerk.InstanceSetting.update_settings/2","doc":"boolean or null\nToggles test mode for this instance, allowing the use of test email addresses and phone numbers. Defaults to true for development instances.","ref":"Clerk.InstanceSetting.html#update_settings/2-test_mode"},{"type":"function","title":"hibp - Clerk.InstanceSetting.update_settings/2","doc":"boolean or null\nWhether the instance should be using the HIBP service to check passwords for breaches","ref":"Clerk.InstanceSetting.html#update_settings/2-hibp"},{"type":"function","title":"enhanced_email_deliverability - Clerk.InstanceSetting.update_settings/2","doc":"boolean or null\nThe \"enhanced_email_deliverability\" feature will send emails from \"verifications@clerk.dev\" instead of your domain. This can be helpful if you do not have a high domain reputation.","ref":"Clerk.InstanceSetting.html#update_settings/2-enhanced_email_deliverability"},{"type":"function","title":"support_email - Clerk.InstanceSetting.update_settings/2","doc":"string or null\nclerk_js_version\nstring or null","ref":"Clerk.InstanceSetting.html#update_settings/2-support_email"},{"type":"function","title":"development_origin - Clerk.InstanceSetting.update_settings/2","doc":"string or null\nallowed_origins\nArray of strings\nFor browser-like stacks such as browser extensions, Electron, or Capacitor.js the instance allowed origins need to be updated with the request origin value. For Chrome extensions popup, background, or service worker pages the origin is chrome-extension://extension_uiid. For Electron apps the default origin is http://localhost:3000. For Capacitor, the origin is capacitor://localhost.","ref":"Clerk.InstanceSetting.html#update_settings/2-development_origin"},{"type":"function","title":"cookieless_dev - Clerk.InstanceSetting.update_settings/2","doc":"boolean\nDeprecated\nWhether the instance should operate in cookieless development mode (i.e. without third-party cookies). Deprecated: Please use url_based_session_syncing instead.","ref":"Clerk.InstanceSetting.html#update_settings/2-cookieless_dev"},{"type":"function","title":"url_based_session_syncing - Clerk.InstanceSetting.update_settings/2","doc":"boolean\nWhether the instance should use URL-based session syncing in development mode (i.e. without third-party cookies).","ref":"Clerk.InstanceSetting.html#update_settings/2-url_based_session_syncing"},{"type":"module","title":"Clerk.Invitation","doc":"Invitations allow you to invite someone to sign up to your application, via email.\n\nhttps://clerk.com/docs/authentication/invitations","ref":"Clerk.Invitation.html"},{"type":"function","title":"Clerk.Invitation.create/2","doc":"Creates a new invitation for the given email address and sends the invitation email. Keep in mind that you cannot create an invitation if there is already one for the given email address. Also, trying to create an invitation for an email address that already exists in your application will result to an error.","ref":"Clerk.Invitation.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Invitation.create/2","doc":"Required parameters","ref":"Clerk.Invitation.html#create/2-request-body-schema-application-json"},{"type":"function","title":"email_address - Clerk.Invitation.create/2","doc":"required\nstring\nThe email address the invitation will be sent to","ref":"Clerk.Invitation.html#create/2-email_address"},{"type":"function","title":"public_metadata - Clerk.Invitation.create/2","doc":"object\nMetadata that will be attached to the newly created invitation. The value of this property should be a well-formed JSON object. Once the user accepts the invitation and signs up, these metadata will end up in the user's public metadata.","ref":"Clerk.Invitation.html#create/2-public_metadata"},{"type":"function","title":"redirect_url - Clerk.Invitation.create/2","doc":"string\nOptional URL which specifies where to redirect the user once they click the invitation link. This is only required if you have implemented a custom flow and you're not using Clerk Hosted Pages or Clerk Components.","ref":"Clerk.Invitation.html#create/2-redirect_url"},{"type":"function","title":"notify - Clerk.Invitation.create/2","doc":"boolean or null\nDefault: true\nOptional flag which denotes whether an email invitation should be sent to the given email address. Defaults to true.","ref":"Clerk.Invitation.html#create/2-notify"},{"type":"function","title":"ignore_existing - Clerk.Invitation.create/2","doc":"boolean or null\nDefault: false\nWhether an invitation should be created if there is already an existing invitation for this email address, or it's claimed by another user.","ref":"Clerk.Invitation.html#create/2-ignore_existing"},{"type":"function","title":"Clerk.Invitation.list/2","doc":"Returns all non-revoked invitations for your application, sorted by creation date","ref":"Clerk.Invitation.html#list/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.Invitation.list/2","doc":"","ref":"Clerk.Invitation.html#list/2-query-parameters"},{"type":"function","title":"status - Clerk.Invitation.list/2","doc":"string\nFilter invitations based on their status\n\nEnum: \"pending\" \"accepted\" \"revoked\"","ref":"Clerk.Invitation.html#list/2-status"},{"type":"function","title":"Clerk.Invitation.revoke/2","doc":"Revokes the given invitation. Revoking an invitation will prevent the user from using the invitation link that was sent to them. However, it doesn't prevent the user from signing up if they follow the sign up flow. Only active (i.e. non-revoked) invitations can be revoked.","ref":"Clerk.Invitation.html#revoke/2"},{"type":"module","title":"Clerk.JWKS","doc":"Retrieve the JSON Web Key Set which can be used to verify the token signatures of the instance.","ref":"Clerk.JWKS.html"},{"type":"function","title":"Clerk.JWKS.get/1","doc":"Retrieve the JSON Web Key Set of the instance","ref":"Clerk.JWKS.html#get/1"},{"type":"module","title":"Clerk.Miscellaneous","doc":"Various endpoints that do not belong in any particular category.\n\nhttps://clerk.com/docs/reference/backend-api/tag/Miscellaneous","ref":"Clerk.Miscellaneous.html"},{"type":"function","title":"Clerk.Miscellaneous.interstitial_markup/2","doc":"The Clerk interstitial endpoint serves an html page that loads clerk.js in order to check the user's authentication state. It is used by Clerk SDKs when the user's authentication state cannot be immediately determined.","ref":"Clerk.Miscellaneous.html#interstitial_markup/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.Miscellaneous.interstitial_markup/2","doc":"","ref":"Clerk.Miscellaneous.html#interstitial_markup/2-query-parameters"},{"type":"function","title":"frontendApi - Clerk.Miscellaneous.interstitial_markup/2","doc":"string\nThe Frontend API key of your instance","ref":"Clerk.Miscellaneous.html#interstitial_markup/2-frontendapi"},{"type":"function","title":"publishable_key - Clerk.Miscellaneous.interstitial_markup/2","doc":"string\nThe publishable key of your instance","ref":"Clerk.Miscellaneous.html#interstitial_markup/2-publishable_key"},{"type":"module","title":"Clerk.OAuthApplication","doc":"OAuth applications contain data for clients using Clerk as an OAuth2 identity provider.","ref":"Clerk.OAuthApplication.html"},{"type":"function","title":"Clerk.OAuthApplication.create/2","doc":"Creates a new OAuth application with the given name and callback URL for an instance. The callback URL must be a valid url. All URL schemes are allowed such as http://, https://, myapp://, etc...","ref":"Clerk.OAuthApplication.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OAuthApplication.create/2","doc":"","ref":"Clerk.OAuthApplication.html#create/2-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.OAuthApplication.create/2","doc":"required\nstring\nThe name of the new OAuth application","ref":"Clerk.OAuthApplication.html#create/2-name"},{"type":"function","title":"callback_url - Clerk.OAuthApplication.create/2","doc":"required\nstring\nThe callback URL of the new OAuth application","ref":"Clerk.OAuthApplication.html#create/2-callback_url"},{"type":"function","title":"scopes - Clerk.OAuthApplication.create/2","doc":"string\nDefault: \"profile email\"\nDefine the allowed scopes for the new OAuth applications that dictate the user payload of the OAuth user info endpoint. Available scopes are profile, email, public_metadata, private_metadata. Provide the requested scopes as a string, separated by spaces.","ref":"Clerk.OAuthApplication.html#create/2-scopes"},{"type":"function","title":"public - Clerk.OAuthApplication.create/2","doc":"boolean\nIf true, this client is public and cannot securely store a client secret. Only the authorization code flow with proof key for code exchange (PKCE) may be used. Public clients cannot be updated to be confidential clients, and vice versa.","ref":"Clerk.OAuthApplication.html#create/2-public"},{"type":"function","title":"Clerk.OAuthApplication.delete/2","doc":"Deletes the given OAuth application. This is not reversible.","ref":"Clerk.OAuthApplication.html#delete/2"},{"type":"function","title":"Clerk.OAuthApplication.get/2","doc":"Fetches the OAuth application whose ID matches the provided id in the path.","ref":"Clerk.OAuthApplication.html#get/2"},{"type":"function","title":"Clerk.OAuthApplication.list/2","doc":"This request returns the list of OAuth applications for an instance. Results can be paginated using the optional limit and offset query parameters. The OAuth applications are ordered by descending creation date. Most recent OAuth applications will be returned first.","ref":"Clerk.OAuthApplication.html#list/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.OAuthApplication.list/2","doc":"","ref":"Clerk.OAuthApplication.html#list/2-query-parameters"},{"type":"function","title":"limit - Clerk.OAuthApplication.list/2","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.OAuthApplication.html#list/2-limit"},{"type":"function","title":"offset - Clerk.OAuthApplication.list/2","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.OAuthApplication.html#list/2-offset"},{"type":"function","title":"Clerk.OAuthApplication.rotate_secret/2","doc":"Rotates the OAuth application's client secret. When the client secret is rotated, make sure to update it in authorized OAuth clients.","ref":"Clerk.OAuthApplication.html#rotate_secret/2"},{"type":"function","title":"Clerk.OAuthApplication.update/3","doc":"Updates an existing OAuth application","ref":"Clerk.OAuthApplication.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OAuthApplication.update/3","doc":"required","ref":"Clerk.OAuthApplication.html#update/3-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.OAuthApplication.update/3","doc":"string\nThe new name of the OAuth application","ref":"Clerk.OAuthApplication.html#update/3-name"},{"type":"function","title":"callback_url - Clerk.OAuthApplication.update/3","doc":"string\nThe new callback URL of the OAuth application","ref":"Clerk.OAuthApplication.html#update/3-callback_url"},{"type":"function","title":"scopes - Clerk.OAuthApplication.update/3","doc":"string\nDefault: \"profile email\"\nDefine the allowed scopes for the new OAuth applications that dictate the user payload of the OAuth user info endpoint. Available scopes are profile, email, public_metadata, private_metadata. Provide the requested scopes as a string, separated by spaces.","ref":"Clerk.OAuthApplication.html#update/3-scopes"},{"type":"module","title":"Clerk.Organization","doc":"Organizations are used to group members under a common entity and provide shared access to resources.\n\nhttps://clerk.com/docs/organizations/overview","ref":"Clerk.Organization.html"},{"type":"function","title":"Clerk.Organization.create/2","doc":"Creates a new organization with the given name for an instance. In order to successfully create an organization you need to provide the ID of the User who will become the organization administrator. You can specify an optional slug for the new organization. If provided, the organization slug can contain only lowercase alphanumeric characters (letters and digits) and the dash \"-\". Organization slugs must be unique for the instance. You can provide additional metadata for the organization and set any custom attribute you want. Organizations support private and public metadata. Private metadata can only be accessed from the Backend API. Public metadata can be accessed from the Backend API, and are read-only from the Frontend API.","ref":"Clerk.Organization.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Organization.create/2","doc":"","ref":"Clerk.Organization.html#create/2-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.Organization.create/2","doc":"required\nstring\nThe name of the new organization","ref":"Clerk.Organization.html#create/2-name"},{"type":"function","title":"created_by - Clerk.Organization.create/2","doc":"required\nstring\nThe ID of the User who will become the administrator for the new organization","ref":"Clerk.Organization.html#create/2-created_by"},{"type":"function","title":"private_metadata - Clerk.Organization.create/2","doc":"object\nMetadata saved on the organization, accessible only from the Backend API","ref":"Clerk.Organization.html#create/2-private_metadata"},{"type":"function","title":"public_metadata - Clerk.Organization.create/2","doc":"object\nMetadata saved on the organization, read-only from the Frontend API and fully accessible (read/write) from the Backend API","ref":"Clerk.Organization.html#create/2-public_metadata"},{"type":"function","title":"slug - Clerk.Organization.create/2","doc":"string\nA slug for the new organization. Can contain only lowercase alphanumeric characters and the dash \"-\". Must be unique for the instance.","ref":"Clerk.Organization.html#create/2-slug"},{"type":"function","title":"max_allowed_memberships - Clerk.Organization.create/2","doc":"integer\nThe maximum number of memberships allowed for this organization","ref":"Clerk.Organization.html#create/2-max_allowed_memberships"},{"type":"function","title":"Clerk.Organization.delete/2","doc":"Deletes the given organization. Please note that deleting an organization will also delete all memberships and invitations. This is not reversible.","ref":"Clerk.Organization.html#delete/2"},{"type":"function","title":"Clerk.Organization.delete_logo/2","doc":"Delete the organization's logo.","ref":"Clerk.Organization.html#delete_logo/2"},{"type":"function","title":"Clerk.Organization.get/2","doc":"Fetches the organization whose ID or slug matches the provided id_or_slug URL query parameter.","ref":"Clerk.Organization.html#get/2"},{"type":"function","title":"Clerk.Organization.list/2","doc":"This request returns the list of organizations for an instance. Results can be paginated using the optional limit and offset query parameters. The organizations are ordered by descending creation date. Most recent organizations will be returned first.","ref":"Clerk.Organization.html#list/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.Organization.list/2","doc":"","ref":"Clerk.Organization.html#list/2-query-parameters"},{"type":"function","title":"limit - Clerk.Organization.list/2","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.Organization.html#list/2-limit"},{"type":"function","title":"offset - Clerk.Organization.list/2","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.Organization.html#list/2-offset"},{"type":"function","title":"include_members_count - Clerk.Organization.list/2","doc":"boolean\nFlag to denote whether the member counts of each organization should be included in the response or not.","ref":"Clerk.Organization.html#list/2-include_members_count"},{"type":"function","title":"query - Clerk.Organization.list/2","doc":"string\nReturns organizations with ID, name, or slug that match the given query. Uses exact match for organization ID and partial match for name and slug.","ref":"Clerk.Organization.html#list/2-query"},{"type":"function","title":"order_by - Clerk.Organization.list/2","doc":"string\nDefault: \"-created_at\"\nAllows to return organizations in a particular order. At the moment, you can order the returned organizations either by their name, created_at or members_count. In order to specify the direction, you can use the +/- symbols prepended in the property to order by. For example, if you want organizations to be returned in descending order according to their created_at property, you can use -created_at. If you don't use + or -, then + is implied. Defaults to -created_at.","ref":"Clerk.Organization.html#list/2-order_by"},{"type":"function","title":"Clerk.Organization.update/3","doc":"Updates an existing organization","ref":"Clerk.Organization.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Organization.update/3","doc":"","ref":"Clerk.Organization.html#update/3-request-body-schema-application-json"},{"type":"function","title":"public_metadata - Clerk.Organization.update/3","doc":"object\nMetadata saved on the organization, that is visible to both your frontend and backend.","ref":"Clerk.Organization.html#update/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.Organization.update/3","doc":"object\nMetadata saved on the organization that is only visible to your backend.","ref":"Clerk.Organization.html#update/3-private_metadata"},{"type":"function","title":"name - Clerk.Organization.update/3","doc":"string or null\nThe new name of the organization","ref":"Clerk.Organization.html#update/3-name"},{"type":"function","title":"slug - Clerk.Organization.update/3","doc":"string or null\nThe new slug of the organization, which needs to be unique in the instance","ref":"Clerk.Organization.html#update/3-slug"},{"type":"function","title":"max_allowed_memberships - Clerk.Organization.update/3","doc":"integer or null\nThe maximum number of memberships allowed for this organization","ref":"Clerk.Organization.html#update/3-max_allowed_memberships"},{"type":"function","title":"admin_delete_enabled - Clerk.Organization.update/3","doc":"boolean or null\nIf true, an admin can delete this organization with the Frontend API.","ref":"Clerk.Organization.html#update/3-admin_delete_enabled"},{"type":"function","title":"Clerk.Organization.update_logo/4","doc":"Set or replace an organization's logo, by uploading an image file. This endpoint uses the multipart/form-data request content type and accepts a file of image type. The file size cannot exceed 10MB. Only the following file content types are supported: image/jpeg, image/png, image/gif, image/webp, image/x-icon, image/vnd.microsoft.icon.","ref":"Clerk.Organization.html#update_logo/4"},{"type":"function","title":"REQUEST BODY SCHEMA: multipart/form-data - Clerk.Organization.update_logo/4","doc":"","ref":"Clerk.Organization.html#update_logo/4-request-body-schema-multipart-form-data"},{"type":"function","title":"uploader_user_id - Clerk.Organization.update_logo/4","doc":"required\nstring\nThe ID of the user that will be credited with the image upload.","ref":"Clerk.Organization.html#update_logo/4-uploader_user_id"},{"type":"function","title":"file - Clerk.Organization.update_logo/4","doc":"required\nstring","ref":"Clerk.Organization.html#update_logo/4-file"},{"type":"function","title":"Clerk.Organization.update_metadata/3","doc":"Update organization metadata attributes by merging existing values with the provided parameters. Metadata values will be updated via a deep merge. Deep meaning that any nested JSON objects will be merged as well. You can remove metadata keys at any level by setting their value to null.","ref":"Clerk.Organization.html#update_metadata/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Organization.update_metadata/3","doc":"","ref":"Clerk.Organization.html#update_metadata/3-request-body-schema-application-json"},{"type":"function","title":"public_metadata - Clerk.Organization.update_metadata/3","doc":"object\nMetadata saved on the organization, that is visible to both your frontend and backend. The new object will be merged with the existing value.","ref":"Clerk.Organization.html#update_metadata/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.Organization.update_metadata/3","doc":"object\nMetadata saved on the organization that is only visible to your backend. The new object will be merged with the existing value.","ref":"Clerk.Organization.html#update_metadata/3-private_metadata"},{"type":"module","title":"Clerk.OrganizationInvitation","doc":"Invite users to an organization.\n\nhttps://clerk.com/docs/organizations/invite-users","ref":"Clerk.OrganizationInvitation.html"},{"type":"function","title":"Clerk.OrganizationInvitation.create/3","doc":"Creates a new organization invitation and sends an email to the provided email_address with a link to accept the invitation and join the organization. You can specify the role for the invited organization member.\n\nNew organization invitations get a \"pending\" status until they are revoked by an organization administrator or accepted by the invitee.\n\nThe request body supports passing an optional redirect_url parameter. When the invited user clicks the link to accept the invitation, they will be redirected to the URL provided. Use this parameter to implement a custom invitation acceptance flow.\n\nYou must specify the ID of the user that will send the invitation with the inviter_user_id parameter. That user must be a member with administrator privileges in the organization. Only \"admin\" members can create organization invitations.\n\nYou can optionally provide public and private metadata for the organization invitation. The public metadata are visible by both the Frontend and the Backend whereas the private ones only by the Backend. When the organization invitation is accepted, the metadata will be transferred to the newly created organization membership.","ref":"Clerk.OrganizationInvitation.html#create/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationInvitation.create/3","doc":"","ref":"Clerk.OrganizationInvitation.html#create/3-request-body-schema-application-json"},{"type":"function","title":"email_address - Clerk.OrganizationInvitation.create/3","doc":"required\nstring\nThe email address of the new member that is going to be invited to the organization","ref":"Clerk.OrganizationInvitation.html#create/3-email_address"},{"type":"function","title":"inviter_user_id - Clerk.OrganizationInvitation.create/3","doc":"required\nstring\nThe ID of the user that invites the new member to the organization. Must be an administrator in the organization.","ref":"Clerk.OrganizationInvitation.html#create/3-inviter_user_id"},{"type":"function","title":"role - Clerk.OrganizationInvitation.create/3","doc":"required\nstring\nThe role of the new member in the organization","ref":"Clerk.OrganizationInvitation.html#create/3-role"},{"type":"function","title":"public_metadata - Clerk.OrganizationInvitation.create/3","doc":"object\nMetadata saved on the organization invitation, read-only from the Frontend API and fully accessible (read/write) from the Backend API.","ref":"Clerk.OrganizationInvitation.html#create/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.OrganizationInvitation.create/3","doc":"object\nMetadata saved on the organization invitation, fully accessible (read/write) from the Backend API but not visible from the Frontend API.","ref":"Clerk.OrganizationInvitation.html#create/3-private_metadata"},{"type":"function","title":"redirect_url - Clerk.OrganizationInvitation.create/3","doc":"string\nOptional URL that the invitee will be redirected to once they accept the invitation by clicking the join link in the invitation email.","ref":"Clerk.OrganizationInvitation.html#create/3-redirect_url"},{"type":"function","title":"Clerk.OrganizationInvitation.create_bulk/3","doc":"Creates new organization invitations in bulk and sends out emails to the provided email addresses with a link to accept the invitation and join the organization. You can specify a different role for each invited organization member. New organization invitations get a \"pending\" status until they are revoked by an organization administrator or accepted by the invitee. The request body supports passing an optional redirect_url parameter for each invitation. When the invited user clicks the link to accept the invitation, they will be redirected to the provided URL. Use this parameter to implement a custom invitation acceptance flow. You must specify the ID of the user that will send the invitation with the inviter_user_id parameter. Each invitation can have a different inviter user. Inviter users must be members with administrator privileges in the organization. Only \"admin\" members can create organization invitations. You can optionally provide public and private metadata for each organization invitation. The public metadata are visible by both the Frontend and the Backend, whereas the private metadata are only visible by the Backend. When the organization invitation is accepted, the metadata will be transferred to the newly created organization membership.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationInvitation.create_bulk/3","doc":"Array","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-request-body-schema-application-json"},{"type":"function","title":"email_address - Clerk.OrganizationInvitation.create_bulk/3","doc":"required\nstring\nThe email address of the new member that is going to be invited to the organization","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-email_address"},{"type":"function","title":"inviter_user_id - Clerk.OrganizationInvitation.create_bulk/3","doc":"required\nstring\nThe ID of the user that invites the new member to the organization. Must be an administrator in the organization.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-inviter_user_id"},{"type":"function","title":"role - Clerk.OrganizationInvitation.create_bulk/3","doc":"required\nstring\nThe role of the new member in the organization.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-role"},{"type":"function","title":"public_metadata - Clerk.OrganizationInvitation.create_bulk/3","doc":"object\nMetadata saved on the organization invitation, read-only from the Frontend API and fully accessible (read/write) from the Backend API.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.OrganizationInvitation.create_bulk/3","doc":"object\nMetadata saved on the organization invitation, fully accessible (read/write) from the Backend API but not visible from the Frontend API.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-private_metadata"},{"type":"function","title":"redirect_url - Clerk.OrganizationInvitation.create_bulk/3","doc":"string\nOptional URL that the invitee will be redirected to once they accept the invitation by clicking the join link in the invitation email.","ref":"Clerk.OrganizationInvitation.html#create_bulk/3-redirect_url"},{"type":"function","title":"Clerk.OrganizationInvitation.get/3","doc":"Use this request to get an existing organization invitation by ID.","ref":"Clerk.OrganizationInvitation.html#get/3"},{"type":"function","title":"Clerk.OrganizationInvitation.list/3","doc":"This request returns the list of organization invitations. Results can be paginated using the optional limit and offset query parameters. You can filter them by providing the 'status' query parameter, that accepts multiple values. The organization invitations are ordered by descending creation date. Most recent invitations will be returned first. Any invitations created as a result of an Organization Domain are not included in the results.","ref":"Clerk.OrganizationInvitation.html#list/3"},{"type":"function","title":"QUERY PARAMETERS - Clerk.OrganizationInvitation.list/3","doc":"","ref":"Clerk.OrganizationInvitation.html#list/3-query-parameters"},{"type":"function","title":"limit - Clerk.OrganizationInvitation.list/3","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.OrganizationInvitation.html#list/3-limit"},{"type":"function","title":"offset - Clerk.OrganizationInvitation.list/3","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.OrganizationInvitation.html#list/3-offset"},{"type":"function","title":"status - Clerk.OrganizationInvitation.list/3","doc":"string\nFilter organization invitations based on their status\n\nEnum: \"pending\" \"accepted\" \"revoked\"","ref":"Clerk.OrganizationInvitation.html#list/3-status"},{"type":"function","title":"Clerk.OrganizationInvitation.revoke/4","doc":"Use this request to revoke a previously issued organization invitation. Revoking an organization invitation makes it invalid; the invited user will no longer be able to join the organization with the revoked invitation. Only organization invitations with \"pending\" status can be revoked. The request needs the requesting_user_id parameter to specify the user which revokes the invitation. Only users with \"admin\" role can revoke invitations.","ref":"Clerk.OrganizationInvitation.html#revoke/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationInvitation.revoke/4","doc":"required","ref":"Clerk.OrganizationInvitation.html#revoke/4-request-body-schema-application-json"},{"type":"function","title":"requesting_user_id - Clerk.OrganizationInvitation.revoke/4","doc":"required\nstring\nThe ID of the user that revokes the invitation. Must be an administrator in the organization.","ref":"Clerk.OrganizationInvitation.html#revoke/4-requesting_user_id"},{"type":"module","title":"Clerk.OrganizationMembership","doc":"Manage member roles in an organization.\n\nhttps://clerk.com/docs/organizations/manage-member-roles","ref":"Clerk.OrganizationMembership.html"},{"type":"function","title":"Clerk.OrganizationMembership.create/3","doc":"Adds a user as a member to the given organization. Only users in the same instance as the organization can be added as members.","ref":"Clerk.OrganizationMembership.html#create/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationMembership.create/3","doc":"","ref":"Clerk.OrganizationMembership.html#create/3-request-body-schema-application-json"},{"type":"function","title":"user_id - Clerk.OrganizationMembership.create/3","doc":"required\nstring\nThe ID of the user that will be added as a member in the organization. The user needs to exist in the same instance as the organization and must not be a member of the given organization already.","ref":"Clerk.OrganizationMembership.html#create/3-user_id"},{"type":"function","title":"role - Clerk.OrganizationMembership.create/3","doc":"required\nstring\nThe role that the new member will have in the organization.","ref":"Clerk.OrganizationMembership.html#create/3-role"},{"type":"function","title":"Clerk.OrganizationMembership.delete/4","doc":"Removes the given membership from the organization","ref":"Clerk.OrganizationMembership.html#delete/4"},{"type":"function","title":"Clerk.OrganizationMembership.list/3","doc":"Retrieves all user memberships for the given organization","ref":"Clerk.OrganizationMembership.html#list/3"},{"type":"function","title":"QUERY PARAMETERS - Clerk.OrganizationMembership.list/3","doc":"","ref":"Clerk.OrganizationMembership.html#list/3-query-parameters"},{"type":"function","title":"limit - Clerk.OrganizationMembership.list/3","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.OrganizationMembership.html#list/3-limit"},{"type":"function","title":"offset - Clerk.OrganizationMembership.list/3","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.OrganizationMembership.html#list/3-offset"},{"type":"function","title":"order_by - Clerk.OrganizationMembership.list/3","doc":"string\nSorts organizations memberships by phone_number, email_address, created_at, first_name, last_name or username. By prepending one of those values with + or -, we can choose to sort in ascending (ASC) or descending (DESC) order.\"","ref":"Clerk.OrganizationMembership.html#list/3-order_by"},{"type":"function","title":"Clerk.OrganizationMembership.update/4","doc":"Updates the properties of an existing organization membership","ref":"Clerk.OrganizationMembership.html#update/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationMembership.update/4","doc":"","ref":"Clerk.OrganizationMembership.html#update/4-request-body-schema-application-json"},{"type":"function","title":"role - Clerk.OrganizationMembership.update/4","doc":"required\nstring\nThe new role of the given membership.","ref":"Clerk.OrganizationMembership.html#update/4-role"},{"type":"function","title":"Clerk.OrganizationMembership.update_metadata/4","doc":"Update an organization membership's metadata attributes by merging existing values with the provided parameters. Metadata values will be updated via a deep merge. Deep means that any nested JSON objects will be merged as well. You can remove metadata keys at any level by setting their value to null.","ref":"Clerk.OrganizationMembership.html#update_metadata/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.OrganizationMembership.update_metadata/4","doc":"","ref":"Clerk.OrganizationMembership.html#update_metadata/4-request-body-schema-application-json"},{"type":"function","title":"public_metadata - Clerk.OrganizationMembership.update_metadata/4","doc":"object\nMetadata saved on the organization membership, that is visible to both your frontend and backend. The new object will be merged with the existing value.","ref":"Clerk.OrganizationMembership.html#update_metadata/4-public_metadata"},{"type":"function","title":"private_metadata - Clerk.OrganizationMembership.update_metadata/4","doc":"object\nMetadata saved on the organization membership that is only visible to your backend. The new object will be merged with the existing value.","ref":"Clerk.OrganizationMembership.html#update_metadata/4-private_metadata"},{"type":"module","title":"Clerk.PhoneNumber","doc":"A user can be associated with one or more email addresses and allows them to be contacted via SMS.\n\nhttps://clerk.com/docs/reference/clerkjs/phonenumber","ref":"Clerk.PhoneNumber.html"},{"type":"function","title":"Clerk.PhoneNumber.create/2","doc":"Create a new phone number","ref":"Clerk.PhoneNumber.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.PhoneNumber.create/2","doc":"","ref":"Clerk.PhoneNumber.html#create/2-request-body-schema-application-json"},{"type":"function","title":"user_id - Clerk.PhoneNumber.create/2","doc":"string\nThe ID representing the user","ref":"Clerk.PhoneNumber.html#create/2-user_id"},{"type":"function","title":"phone_number - Clerk.PhoneNumber.create/2","doc":"string\nThe new phone number. Must adhere to the E.164 standard for phone number format.","ref":"Clerk.PhoneNumber.html#create/2-phone_number"},{"type":"function","title":"verified - Clerk.PhoneNumber.create/2","doc":"boolean or null\nWhen created, the phone number will be marked as verified.","ref":"Clerk.PhoneNumber.html#create/2-verified"},{"type":"function","title":"primary - Clerk.PhoneNumber.create/2","doc":"boolean or null\nCreate this phone number as the primary phone number for the user. Default: false, unless it is the first phone number.","ref":"Clerk.PhoneNumber.html#create/2-primary"},{"type":"function","title":"Clerk.PhoneNumber.delete/2","doc":"Delete the phone number with the given ID","ref":"Clerk.PhoneNumber.html#delete/2"},{"type":"function","title":"Clerk.PhoneNumber.get/2","doc":"Returns the details of a phone number","ref":"Clerk.PhoneNumber.html#get/2"},{"type":"function","title":"Clerk.PhoneNumber.update/3","doc":"Updates a phone number","ref":"Clerk.PhoneNumber.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.PhoneNumber.update/3","doc":"","ref":"Clerk.PhoneNumber.html#update/3-request-body-schema-application-json"},{"type":"function","title":"verified - Clerk.PhoneNumber.update/3","doc":"boolean or null\nThe phone number will be marked as verified.","ref":"Clerk.PhoneNumber.html#update/3-verified"},{"type":"function","title":"primary - Clerk.PhoneNumber.update/3","doc":"boolean or null\nSet this phone number as the primary phone number for the user.","ref":"Clerk.PhoneNumber.html#update/3-primary"},{"type":"module","title":"Clerk.ProxyCheck","doc":"https://clerk.com/docs/reference/backend-api/tag/Proxy-checks","ref":"Clerk.ProxyCheck.html"},{"type":"function","title":"Clerk.ProxyCheck.verify/2","doc":"This endpoint can be used to validate that a proxy-enabled domain is operational. It tries to verify that the proxy URL provided in the parameters maps to a functional proxy that can reach the Clerk Frontend API.\n\nYou can use this endpoint before you set a proxy URL for a domain. This way you can ensure that switching to proxy-based configuration will not lead to downtime for your instance.\n\nThe proxy_url parameter allows for testing proxy configurations for domains that don't have a proxy URL yet, or operate on a different proxy URL than the one provided. It can also be used to re-validate a domain that is already configured to work with a proxy.","ref":"Clerk.ProxyCheck.html#verify/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.ProxyCheck.verify/2","doc":"","ref":"Clerk.ProxyCheck.html#verify/2-request-body-schema-application-json"},{"type":"function","title":"domain_id - Clerk.ProxyCheck.verify/2","doc":"string\nThe ID of the domain that will be updated.","ref":"Clerk.ProxyCheck.html#verify/2-domain_id"},{"type":"function","title":"proxy_url - Clerk.ProxyCheck.verify/2","doc":"string\nThe full URL of the proxy which will forward requests to the Clerk Frontend API for this domain. e.g. https://example.com/__clerk","ref":"Clerk.ProxyCheck.html#verify/2-proxy_url"},{"type":"module","title":"Clerk.RedirectURL","doc":"Redirect URLs are whitelisted URLs that facilitate secure authentication flows in native applications (e.g. React Native, Expo). In these contexts, Clerk ensures that security-critical nonces are passed only to the whitelisted URLs.","ref":"Clerk.RedirectURL.html"},{"type":"function","title":"Clerk.RedirectURL.create/2","doc":"Create a redirect URL","ref":"Clerk.RedirectURL.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.RedirectURL.create/2","doc":"","ref":"Clerk.RedirectURL.html#create/2-request-body-schema-application-json"},{"type":"function","title":"url - Clerk.RedirectURL.create/2","doc":"string\nThe full url value prefixed with https:// or a custom scheme e.g. \"https://my-app.com/oauth-callback\" or \"my-app://oauth-callback\"","ref":"Clerk.RedirectURL.html#create/2-url"},{"type":"function","title":"Clerk.RedirectURL.delete/2","doc":"Remove the selected redirect URL from the whitelist of the instance","ref":"Clerk.RedirectURL.html#delete/2"},{"type":"function","title":"Clerk.RedirectURL.get/2","doc":"Retrieve the details of the redirect URL with the given ID","ref":"Clerk.RedirectURL.html#get/2"},{"type":"function","title":"Clerk.RedirectURL.list/1","doc":"Lists all whitelisted redirect_urls for the instance","ref":"Clerk.RedirectURL.html#list/1"},{"type":"module","title":"Clerk.SAMLConnection","doc":"A SAML Connection holds configuration data required for facilitating a SAML flow between your Clerk Instance (SP) and a particular SAML IdP.","ref":"Clerk.SAMLConnection.html"},{"type":"function","title":"Clerk.SAMLConnection.create/2","doc":"Refer to https://clerk.com/docs/authentication/saml-at-clerk#saml-at-clerk-beta for more information.","ref":"Clerk.SAMLConnection.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.SAMLConnection.create/2","doc":"","ref":"Clerk.SAMLConnection.html#create/2-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.SAMLConnection.create/2","doc":"required\nstring\nThe name to use as a label for this SAML Connection","ref":"Clerk.SAMLConnection.html#create/2-name"},{"type":"function","title":"domain - Clerk.SAMLConnection.create/2","doc":"required\nstring\nThe domain of your organization. Sign in flows using an email with this domain, will use this SAML Connection.","ref":"Clerk.SAMLConnection.html#create/2-domain"},{"type":"function","title":"idp_entity_id - Clerk.SAMLConnection.create/2","doc":"string or null\nThe Entity ID as provided by the IdP","ref":"Clerk.SAMLConnection.html#create/2-idp_entity_id"},{"type":"function","title":"idp_sso_url - Clerk.SAMLConnection.create/2","doc":"string or null\nThe Single-Sign On URL as provided by the IdP","ref":"Clerk.SAMLConnection.html#create/2-idp_sso_url"},{"type":"function","title":"idp_certificate - Clerk.SAMLConnection.create/2","doc":"string or null\nThe X.509 certificate as provided by the IdP","ref":"Clerk.SAMLConnection.html#create/2-idp_certificate"},{"type":"function","title":"Clerk.SAMLConnection.delete/2","doc":"Deletes the SAML Connection whose ID matches the provided id in the path.","ref":"Clerk.SAMLConnection.html#delete/2"},{"type":"function","title":"Clerk.SAMLConnection.get/2","doc":"Fetches the SAML Connection whose ID matches the provided saml_connection_id in the path.","ref":"Clerk.SAMLConnection.html#get/2"},{"type":"function","title":"Clerk.SAMLConnection.list/1","doc":"Returns the list of SAML Connections for an instance. Results can be paginated using the optional limit and offset query parameters. The SAML Connections are ordered by descending creation date and the most recent will be returned first.\nRefer to https://clerk.com/docs/authentication/saml-at-clerk#saml-at-clerk-beta for more information.","ref":"Clerk.SAMLConnection.html#list/1"},{"type":"function","title":"QUERY PARAMETERS - Clerk.SAMLConnection.list/1","doc":"","ref":"Clerk.SAMLConnection.html#list/1-query-parameters"},{"type":"function","title":"limit - Clerk.SAMLConnection.list/1","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.SAMLConnection.html#list/1-limit"},{"type":"function","title":"offset - Clerk.SAMLConnection.list/1","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.SAMLConnection.html#list/1-offset"},{"type":"function","title":"Clerk.SAMLConnection.update/3","doc":"Updates the SAML Connection whose ID matches the provided id in the path.","ref":"Clerk.SAMLConnection.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.SAMLConnection.update/3","doc":"","ref":"Clerk.SAMLConnection.html#update/3-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.SAMLConnection.update/3","doc":"string or null\nThe name of the new SAML Connection","ref":"Clerk.SAMLConnection.html#update/3-name"},{"type":"function","title":"domain - Clerk.SAMLConnection.update/3","doc":"string or null\nThe domain to use for the new SAML Connection","ref":"Clerk.SAMLConnection.html#update/3-domain"},{"type":"function","title":"idp_entity_id - Clerk.SAMLConnection.update/3","doc":"string or null\nThe entity id as provided by the IdP","ref":"Clerk.SAMLConnection.html#update/3-idp_entity_id"},{"type":"function","title":"idp_sso_url - Clerk.SAMLConnection.update/3","doc":"string or null\nThe SSO url as provided by the IdP","ref":"Clerk.SAMLConnection.html#update/3-idp_sso_url"},{"type":"function","title":"idp_certificate - Clerk.SAMLConnection.update/3","doc":"string or null\nThe x509 certificated as provided by the IdP","ref":"Clerk.SAMLConnection.html#update/3-idp_certificate"},{"type":"function","title":"active - Clerk.SAMLConnection.update/3","doc":"boolean or null\nActivate or de-activate the SAML Connection","ref":"Clerk.SAMLConnection.html#update/3-active"},{"type":"function","title":"sync_user_attributes - Clerk.SAMLConnection.update/3","doc":"boolean or null\nControls whether to update the user's attributes in each sign-in","ref":"Clerk.SAMLConnection.html#update/3-sync_user_attributes"},{"type":"module","title":"Clerk.Session","doc":"Session handles the JWT validation and decoding.","ref":"Clerk.Session.html"},{"type":"module","title":"Usage - Clerk.Session","doc":"```elixir\n  Clerk.Session.verify_and_validate!(jwt)\n  %{\n    \"azp\" => \"https://example.accounts.dev\",\n    \"exp\" => 1706308195,\n    \"iat\" => 1706308135,\n    \"iss\" => \"https://example.clerk.accounts.dev\",\n    \"nbf\" => 1706308125,\n    \"sid\" => \"sess_2bVftP1rQemOu4CPj9999999999\",\n    \"sub\" => \"user_2bVftRtFezPdchfaz9999999999\"\n  }","ref":"Clerk.Session.html#module-usage"},{"type":"function","title":"Clerk.Session.create_session_from_jwt_template/3","doc":"Creates a JSON Web Token(JWT) based on a session and a JWT Template name defined for your instance","ref":"Clerk.Session.html#create_session_from_jwt_template/3"},{"type":"function","title":"Clerk.Session.generate_and_sign/2","doc":"Combines `generate_claims/1` and `encode_and_sign/2`","ref":"Clerk.Session.html#generate_and_sign/2"},{"type":"function","title":"Clerk.Session.generate_and_sign!/2","doc":"Same as `generate_and_sign/2` but raises if error","ref":"Clerk.Session.html#generate_and_sign!/2"},{"type":"function","title":"Clerk.Session.get/2","doc":"Retrieve the details of a session","ref":"Clerk.Session.html#get/2"},{"type":"function","title":"Clerk.Session.list/2","doc":"The Session object is an abstraction over an HTTP session. It models the period of information exchange between a user and the server. Sessions are created when a user successfully goes through the sign in or sign up flows.\n\nhttps://clerk.com/docs/reference/clerkjs/session","ref":"Clerk.Session.html#list/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.Session.list/2","doc":"","ref":"Clerk.Session.html#list/2-query-parameters"},{"type":"function","title":"client_id - Clerk.Session.list/2","doc":"string\nList sessions for the given client","ref":"Clerk.Session.html#list/2-client_id"},{"type":"function","title":"user_id - Clerk.Session.list/2","doc":"string\nList sessions for the given user","ref":"Clerk.Session.html#list/2-user_id"},{"type":"function","title":"status - Clerk.Session.list/2","doc":"string\nFilter sessions by the provided status\n\nEnum: \"abandoned\" \"active\" \"ended\" \"expired\" \"removed\" \"replaced\" \"revoked\"","ref":"Clerk.Session.html#list/2-status"},{"type":"function","title":"limit - Clerk.Session.list/2","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.Session.html#list/2-limit"},{"type":"function","title":"offset - Clerk.Session.list/2","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.Session.html#list/2-offset"},{"type":"function","title":"Clerk.Session.revoke/2","doc":"Sets the status of a session as \"revoked\", which is an unauthenticated state. In multi-session mode, a revoked session will still be returned along with its client object, however the user will need to sign in again.","ref":"Clerk.Session.html#revoke/2"},{"type":"function","title":"Clerk.Session.verify_and_validate/3","doc":"Combines `verify/2` and `validate/2`","ref":"Clerk.Session.html#verify_and_validate/3"},{"type":"function","title":"Clerk.Session.verify_and_validate!/3","doc":"Same as `verify_and_validate/2` but raises if error","ref":"Clerk.Session.html#verify_and_validate!/3"},{"type":"module","title":"Clerk.Session.FetchingStrategy","doc":"","ref":"Clerk.Session.FetchingStrategy.html"},{"type":"function","title":"Clerk.Session.FetchingStrategy.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\n`arg` is passed as the argument to `Task.start_link/1` in the `:start` field\nof the spec.\n\nFor more information, see the `Supervisor` module,\nthe `Supervisor.child_spec/2` function and the `t:Supervisor.child_spec/0` type.","ref":"Clerk.Session.FetchingStrategy.html#child_spec/1"},{"type":"function","title":"Clerk.Session.FetchingStrategy.fetch_signers/2","doc":"Fetch signers with `JokenJwks.HttpFetcher`","ref":"Clerk.Session.FetchingStrategy.html#fetch_signers/2"},{"type":"function","title":"Clerk.Session.FetchingStrategy.init_opts/1","doc":"Callback for initializing options upon strategy startup","ref":"Clerk.Session.FetchingStrategy.html#init_opts/1"},{"type":"module","title":"Clerk.Session.FetchingStrategy.EtsCache","doc":"Simple ETS counter based state machine","ref":"Clerk.Session.FetchingStrategy.EtsCache.html"},{"type":"function","title":"Clerk.Session.FetchingStrategy.EtsCache.check_state/0","doc":"Returns 0 - no need to fetch signers or 1 - need to fetch","ref":"Clerk.Session.FetchingStrategy.EtsCache.html#check_state/0"},{"type":"function","title":"Clerk.Session.FetchingStrategy.EtsCache.get_signers/0","doc":"Loads fetched signers","ref":"Clerk.Session.FetchingStrategy.EtsCache.html#get_signers/0"},{"type":"function","title":"Clerk.Session.FetchingStrategy.EtsCache.new/0","doc":"Starts ETS cache","ref":"Clerk.Session.FetchingStrategy.EtsCache.html#new/0"},{"type":"function","title":"Clerk.Session.FetchingStrategy.EtsCache.put_signers/1","doc":"Puts fetched signers","ref":"Clerk.Session.FetchingStrategy.EtsCache.html#put_signers/1"},{"type":"function","title":"Clerk.Session.FetchingStrategy.EtsCache.set_status/1","doc":"Sets the cache status","ref":"Clerk.Session.FetchingStrategy.EtsCache.html#set_status/1"},{"type":"module","title":"Clerk.SignInToken","doc":"","ref":"Clerk.SignInToken.html"},{"type":"function","title":"Clerk.SignInToken.create/3","doc":"Creates a new sign-in token and associates it with the given user. By default, sign-in tokens expire in 30 days. You can optionally supply a different duration in seconds using the expires_in_seconds property.","ref":"Clerk.SignInToken.html#create/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.SignInToken.create/3","doc":"","ref":"Clerk.SignInToken.html#create/3-request-body-schema-application-json"},{"type":"function","title":"user_id - Clerk.SignInToken.create/3","doc":"string\nThe ID of the user that can use the newly created sign in token","ref":"Clerk.SignInToken.html#create/3-user_id"},{"type":"function","title":"expires_in_seconds - Clerk.SignInToken.create/3","doc":"integer\nDefault: 2592000\nOptional parameter to specify the life duration of the sign in token in seconds. By default, the duration is 30 days.","ref":"Clerk.SignInToken.html#create/3-expires_in_seconds"},{"type":"function","title":"Clerk.SignInToken.revoke/2","doc":"Revokes a pending sign-in token","ref":"Clerk.SignInToken.html#revoke/2"},{"type":"module","title":"Clerk.SignUp","doc":"https://clerk.com/docs/reference/backend-api/tag/Sign-ups","ref":"Clerk.SignUp.html"},{"type":"function","title":"Clerk.SignUp.update/3","doc":"Update the sign-up with the given ID","ref":"Clerk.SignUp.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.SignUp.update/3","doc":"","ref":"Clerk.SignUp.html#update/3-request-body-schema-application-json"},{"type":"function","title":"custom_action - Clerk.SignUp.update/3","doc":"boolean\nSpecifies whether a custom action has run for this sign-up attempt. This is important when your instance has been configured to require a custom action to run before converting a sign-up into a user. After executing any external business logic you deem necessary, you can mark the sign-up as ready-to-convert by setting custom_action to true.","ref":"Clerk.SignUp.html#update/3-custom_action"},{"type":"function","title":"external_id - Clerk.SignUp.update/3","doc":"string or null\nThe ID of the guest attempting to sign up as used in your external systems or your previous authentication solution. This will be copied to the resulting user when the sign-up is completed.","ref":"Clerk.SignUp.html#update/3-external_id"},{"type":"module","title":"Clerk.Template","doc":"Email & SMS templates allow you to customize the theming and wording of emails & SMS messages that are sent by your instance.\n\nhttps://clerk.com/docs/authentication/email-sms-templates","ref":"Clerk.Template.html"},{"type":"function","title":"Clerk.Template.get/3","doc":"Returns the details of a template","ref":"Clerk.Template.html#get/3"},{"type":"function","title":"Clerk.Template.list/2","doc":"Returns a list of all templates. The templates are returned sorted by position.\n\ntemplate_type\nrequired\nstring\nThe type of templates to list (email or SMS)\n\nEnum: \"email\" \"sms\"","ref":"Clerk.Template.html#list/2"},{"type":"function","title":"Clerk.Template.preview/4","doc":"Returns a preview of a template for a given template_type, slug and body","ref":"Clerk.Template.html#preview/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Template.preview/4","doc":"Required parameters","ref":"Clerk.Template.html#preview/4-request-body-schema-application-json"},{"type":"function","title":"subject - Clerk.Template.preview/4","doc":"string or null\nThe email subject. Applicable only to email templates.","ref":"Clerk.Template.html#preview/4-subject"},{"type":"function","title":"body - Clerk.Template.preview/4","doc":"string\nThe template body before variable interpolation","ref":"Clerk.Template.html#preview/4-body"},{"type":"function","title":"from_email_name - Clerk.Template.preview/4","doc":"string\nThe local part of the From email address that will be used for emails. For example, in the address 'hello@example.com', the local part is 'hello'. Applicable only to email templates.","ref":"Clerk.Template.html#preview/4-from_email_name"},{"type":"function","title":"Clerk.Template.revert/3","doc":"Reverts an updated template to its default state","ref":"Clerk.Template.html#revert/3"},{"type":"function","title":"Clerk.Template.toggle_delivery/4","doc":"Toggles the delivery of a template for a given template_type and slug","ref":"Clerk.Template.html#toggle_delivery/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Template.toggle_delivery/4","doc":"","ref":"Clerk.Template.html#toggle_delivery/4-request-body-schema-application-json"},{"type":"function","title":"delivered_by_clerk - Clerk.Template.toggle_delivery/4","doc":"boolean or null\nWhether Clerk should deliver emails or SMS messages based on the current template","ref":"Clerk.Template.html#toggle_delivery/4-delivered_by_clerk"},{"type":"function","title":"Clerk.Template.update/4","doc":"Updates the existing template of the given type and slug","ref":"Clerk.Template.html#update/4"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.Template.update/4","doc":"","ref":"Clerk.Template.html#update/4-request-body-schema-application-json"},{"type":"function","title":"name - Clerk.Template.update/4","doc":"string\nThe user-friendly name of the template","ref":"Clerk.Template.html#update/4-name"},{"type":"function","title":"subject - Clerk.Template.update/4","doc":"string or null\nThe email subject. Applicable only to email templates.","ref":"Clerk.Template.html#update/4-subject"},{"type":"function","title":"markup - Clerk.Template.update/4","doc":"string or null\nThe editor markup used to generate the body of the template","ref":"Clerk.Template.html#update/4-markup"},{"type":"function","title":"body - Clerk.Template.update/4","doc":"string\nThe template body before variable interpolation","ref":"Clerk.Template.html#update/4-body"},{"type":"function","title":"delivered_by_clerk - Clerk.Template.update/4","doc":"boolean or null\nWhether Clerk should deliver emails or SMS messages based on the current template","ref":"Clerk.Template.html#update/4-delivered_by_clerk"},{"type":"function","title":"from_email_name - Clerk.Template.update/4","doc":"string\nThe local part of the From email address that will be used for emails. For example, in the address 'hello@example.com', the local part is 'hello'. Applicable only to email templates.","ref":"Clerk.Template.html#update/4-from_email_name"},{"type":"module","title":"Clerk.User","doc":"","ref":"Clerk.User.html"},{"type":"function","title":"Clerk.User.ban/2","doc":"Marks the given user as banned, which means that all their sessions are revoked and they are not allowed to sign in again.","ref":"Clerk.User.html#ban/2"},{"type":"function","title":"Clerk.User.count/2","doc":"Returns a total count of all users that match the given filtering criteria.","ref":"Clerk.User.html#count/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.User.count/2","doc":"","ref":"Clerk.User.html#count/2-query-parameters"},{"type":"function","title":"email_address - Clerk.User.count/2","doc":"Array of strings\nCounts users with the specified email addresses. Accepts up to 100 email addresses. Any email addresses not found are ignored.","ref":"Clerk.User.html#count/2-email_address"},{"type":"function","title":"phone_number - Clerk.User.count/2","doc":"Array of strings\nCounts users with the specified phone numbers. Accepts up to 100 phone numbers. Any phone numbers not found are ignored.","ref":"Clerk.User.html#count/2-phone_number"},{"type":"function","title":"external_id - Clerk.User.count/2","doc":"Array of strings\nCounts users with the specified external ids. Accepts up to 100 external ids. Any external ids not found are ignored.","ref":"Clerk.User.html#count/2-external_id"},{"type":"function","title":"username - Clerk.User.count/2","doc":"Array of strings\nCounts users with the specified usernames. Accepts up to 100 usernames. Any usernames not found are ignored.","ref":"Clerk.User.html#count/2-username"},{"type":"function","title":"web3_wallet - Clerk.User.count/2","doc":"Array of strings\nCounts users with the specified web3 wallet addresses. Accepts up to 100 web3 wallet addresses. Any web3 wallet addressed not found are ignored.","ref":"Clerk.User.html#count/2-web3_wallet"},{"type":"function","title":"user_id - Clerk.User.count/2","doc":"Array of strings\nCounts users with the user ids specified. Accepts up to 100 user ids. Any user ids not found are ignored.","ref":"Clerk.User.html#count/2-user_id"},{"type":"function","title":"query - Clerk.User.count/2","doc":"string\nCounts users that match the given query. For possible matches, we check the email addresses, phone numbers, usernames, web3 wallets, user ids, first and last names. The query value doesn't need to match the exact value you are looking for, it is capable of partial matches as well.","ref":"Clerk.User.html#count/2-query"},{"type":"function","title":"Clerk.User.create/2","doc":"Creates a new user. Your user management settings determine how you should setup your user model.","ref":"Clerk.User.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.User.create/2","doc":"","ref":"Clerk.User.html#create/2-request-body-schema-application-json"},{"type":"function","title":"external_id - Clerk.User.create/2","doc":"string or null\nThe ID of the user as used in your external systems or your previous authentication solution. Must be unique across your instance.","ref":"Clerk.User.html#create/2-external_id"},{"type":"function","title":"first_name - Clerk.User.create/2","doc":"string or null\nThe first name to assign to the user","ref":"Clerk.User.html#create/2-first_name"},{"type":"function","title":"last_name - Clerk.User.create/2","doc":"string or null\nThe last name to assign to the user","ref":"Clerk.User.html#create/2-last_name"},{"type":"function","title":"email_address - Clerk.User.create/2","doc":"Array of strings\nEmail addresses to add to the user. Must be unique across your instance. The first email address will be set as the user's primary email address.","ref":"Clerk.User.html#create/2-email_address"},{"type":"function","title":"phone_number - Clerk.User.create/2","doc":"Array of strings\nPhone numbers to add to the user. Must be unique across your instance. The first phone number will be set as the user's primary phone number.","ref":"Clerk.User.html#create/2-phone_number"},{"type":"function","title":"web3_wallet - Clerk.User.create/2","doc":"Array of strings\nWeb3 wallets to add to the user. Must be unique across your instance. The first wallet will be set as the user's primary wallet.","ref":"Clerk.User.html#create/2-web3_wallet"},{"type":"function","title":"username - Clerk.User.create/2","doc":"string or null\nThe username to give to the user. It must be unique across your instance.","ref":"Clerk.User.html#create/2-username"},{"type":"function","title":"password - Clerk.User.create/2","doc":"string or null\nThe plaintext password to give the user. Must be at least 8 characters long, and can not be in any list of hacked passwords.","ref":"Clerk.User.html#create/2-password"},{"type":"function","title":"password_digest - Clerk.User.create/2","doc":"string\nIn case you already have the password digests and not the passwords, you can use them for the newly created user via this property. The digests should be generated with one of the supported algorithms. The hashing algorithm can be specified using the password_hasher property.","ref":"Clerk.User.html#create/2-password_digest"},{"type":"function","title":"password_hasher - Clerk.User.create/2","doc":"string\nThe hashing algorithm that was used to generate the password digest. The algorithms we support at the moment are bcrypt, bcrypt_sha256_django, md5, pbkdf2_sha256, pbkdf2_sha256_django, phpass, scrypt_firebase, sha256 and the argon2 variants argon2i and argon2id.","ref":"Clerk.User.html#create/2-password_hasher"},{"type":"function","title":"skip_password_checks - Clerk.User.create/2","doc":"boolean\nWhen set to true all password checks are skipped. It is recommended to use this method only when migrating plaintext passwords to Clerk. Upon migration the user base should be prompted to pick stronger password.","ref":"Clerk.User.html#create/2-skip_password_checks"},{"type":"function","title":"skip_password_requirement - Clerk.User.create/2","doc":"boolean\nWhen set to true, password is not required anymore when creating the user and can be omitted. This is useful when you are trying to create a user that doesn't have a password, in an instance that is using passwords. Please note that you cannot use this flag if password is the only way for a user to sign into your instance.","ref":"Clerk.User.html#create/2-skip_password_requirement"},{"type":"function","title":"totp_secret - Clerk.User.create/2","doc":"string\nIn case TOTP is configured on the instance, you can provide the secret to enable it on the newly created user without the need to reset it. Please note that currently the supported options are:\n\nPeriod: 30 seconds\nCode length: 6 digits\nAlgorithm: SHA1","ref":"Clerk.User.html#create/2-totp_secret"},{"type":"function","title":"backup_codes - Clerk.User.create/2","doc":"Array of strings\nIf Backup Codes are configured on the instance, you can provide them to enable it on the newly created user without the need to reset them. You must provide the backup codes in plain format or the corresponding bcrypt digest.","ref":"Clerk.User.html#create/2-backup_codes"},{"type":"function","title":"public_metadata - Clerk.User.create/2","doc":"object\nMetadata saved on the user, that is visible to both your Frontend and Backend APIs","ref":"Clerk.User.html#create/2-public_metadata"},{"type":"function","title":"private_metadata - Clerk.User.create/2","doc":"object\nMetadata saved on the user, that is only visible to your Backend API","ref":"Clerk.User.html#create/2-private_metadata"},{"type":"function","title":"unsafe_metadata - Clerk.User.create/2","doc":"object\nMetadata saved on the user, that can be updated from both the Frontend and Backend APIs. Note: Since this data can be modified from the frontend, it is not guaranteed to be safe.","ref":"Clerk.User.html#create/2-unsafe_metadata"},{"type":"function","title":"created_at - Clerk.User.create/2","doc":"string\nA custom date/time denoting when the user signed up to the application, specified in RFC3339 format (e.g. 2012-10-20T07:15:20.902Z).","ref":"Clerk.User.html#create/2-created_at"},{"type":"function","title":"Clerk.User.delete/2","doc":"Delete the specified user","ref":"Clerk.User.html#delete/2"},{"type":"function","title":"Clerk.User.delete_profile_image/2","doc":"Delete a user's profile image","ref":"Clerk.User.html#delete_profile_image/2"},{"type":"function","title":"Clerk.User.disable_mfa/2","doc":"Disable all of a user's MFA methods (e.g. OTP sent via SMS, TOTP on their authenticator app) at once.","ref":"Clerk.User.html#disable_mfa/2"},{"type":"function","title":"Clerk.User.get/2","doc":"Retrieve the details of a user","ref":"Clerk.User.html#get/2"},{"type":"function","title":"Clerk.User.list/2","doc":"Returns a list of all users. The users are returned sorted by creation date, with the newest users appearing first.","ref":"Clerk.User.html#list/2"},{"type":"function","title":"QUERY PARAMETERS - Clerk.User.list/2","doc":"","ref":"Clerk.User.html#list/2-query-parameters"},{"type":"function","title":"email_address - Clerk.User.list/2","doc":"Array of strings\nReturns users with the specified email addresses. Accepts up to 100 email addresses. Any email addresses not found are ignored.","ref":"Clerk.User.html#list/2-email_address"},{"type":"function","title":"phone_number - Clerk.User.list/2","doc":"Array of strings\nReturns users with the specified phone numbers. Accepts up to 100 phone numbers. Any phone numbers not found are ignored.","ref":"Clerk.User.html#list/2-phone_number"},{"type":"function","title":"external_id - Clerk.User.list/2","doc":"Array of strings\nReturns users with the specified external ids. For each external id, the + and - can be prepended to the id, which denote whether the respective external id should be included or excluded from the result set. Accepts up to 100 external ids. Any external ids not found are ignored.","ref":"Clerk.User.html#list/2-external_id"},{"type":"function","title":"username - Clerk.User.list/2","doc":"Array of strings\nReturns users with the specified usernames. Accepts up to 100 usernames. Any usernames not found are ignored.","ref":"Clerk.User.html#list/2-username"},{"type":"function","title":"web3_wallet - Clerk.User.list/2","doc":"Array of strings\nReturns users with the specified web3 wallet addresses. Accepts up to 100 web3 wallet addresses. Any web3 wallet addressed not found are ignored.","ref":"Clerk.User.html#list/2-web3_wallet"},{"type":"function","title":"user_id - Clerk.User.list/2","doc":"Array of strings\nReturns users with the user ids specified. For each user id, the + and - can be prepended to the id, which denote whether the respective user id should be included or excluded from the result set. Accepts up to 100 user ids. Any user ids not found are ignored.","ref":"Clerk.User.html#list/2-user_id"},{"type":"function","title":"organization_id - Clerk.User.list/2","doc":"Array of strings\nReturns users that have memberships to the given organizations. For each organization id, the + and - can be prepended to the id, which denote whether the respective organization should be included or excluded from the result set. Accepts up to 100 organization ids.","ref":"Clerk.User.html#list/2-organization_id"},{"type":"function","title":"query - Clerk.User.list/2","doc":"string\nReturns users that match the given query. For possible matches, we check the email addresses, phone numbers, usernames, web3 wallets, user ids, first and last names. The query value doesn't need to match the exact value you are looking for, it is capable of partial matches as well.","ref":"Clerk.User.html#list/2-query"},{"type":"function","title":"last_active_at_since - Clerk.User.list/2","doc":"integer\nReturns users that had session activity since the given date, with day precision. Providing a value with higher precision than day will result in an error. Example: use 1700690400000 to retrieve users that had session activity from 2023-11-23 until the current day.\n\nExample: last_active_at_since=1700690400000","ref":"Clerk.User.html#list/2-last_active_at_since"},{"type":"function","title":"limit - Clerk.User.list/2","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.User.html#list/2-limit"},{"type":"function","title":"offset - Clerk.User.list/2","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.User.html#list/2-offset"},{"type":"function","title":"order_by - Clerk.User.list/2","doc":"string\nDefault: \"-created_at\"\nAllows to return users in a particular order. At the moment, you can order the returned users by their created_at,updated_at,email_address,web3wallet,first_name,last_name,phone_number,username,last_active_at,last_sign_in_at. In order to specify the direction, you can use the +/- symbols prepended in the property to order by. For example, if you want users to be returned in descending order according to their created_at property, you can use -created_at. If you don't use + or -, then + is implied. We only support one order_by parameter, and if multiple order_by parameters are provided, we will only keep the first one. For example, if you pass order_by=username&order_by=created_at, we will consider only the first order_by parameter, which is username. The created_at parameter will be ignored in this case.","ref":"Clerk.User.html#list/2-order_by"},{"type":"function","title":"Clerk.User.list_organization_memberships/3","doc":"Retrieve a paginated list of the user's organization memberships","ref":"Clerk.User.html#list_organization_memberships/3"},{"type":"function","title":"QUERY PARAMETERS - Clerk.User.list_organization_memberships/3","doc":"","ref":"Clerk.User.html#list_organization_memberships/3-query-parameters"},{"type":"function","title":"limit - Clerk.User.list_organization_memberships/3","doc":"number [ 1 .. 500 ]\nDefault: 10\nApplies a limit to the number of results returned. Can be used for paginating the results together with offset. Must be an integer greater than zero and less than 500. By default, if not supplied, a limit of 10 is used.","ref":"Clerk.User.html#list_organization_memberships/3-limit"},{"type":"function","title":"offset - Clerk.User.list_organization_memberships/3","doc":"number >= 0\nDefault: 0\nSkip the first offset results when paginating. Needs to be an integer greater or equal to zero. To be used in conjunction with limit.","ref":"Clerk.User.html#list_organization_memberships/3-offset"},{"type":"function","title":"Clerk.User.lock/2","doc":"Marks the given user as locked, which means they are not allowed to sign in again until the lock expires. Lock duration can be configured in the instance's restrictions settings.","ref":"Clerk.User.html#lock/2"},{"type":"function","title":"Clerk.User.merge_and_update_user_metadata/3","doc":"Update a user's metadata attributes by merging existing values with the provided parameters.\n\nThis endpoint behaves differently than the Update a user endpoint. Metadata values will not be replaced entirely. Instead, a deep merge will be performed. Deep means that any nested JSON objects will be merged as well.\n\nYou can remove metadata keys at any level by setting their value to null.","ref":"Clerk.User.html#merge_and_update_user_metadata/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.User.merge_and_update_user_metadata/3","doc":"","ref":"Clerk.User.html#merge_and_update_user_metadata/3-request-body-schema-application-json"},{"type":"function","title":"public_metadata - Clerk.User.merge_and_update_user_metadata/3","doc":"object\nMetadata saved on the user, that is visible to both your frontend and backend. The new object will be merged with the existing value.","ref":"Clerk.User.html#merge_and_update_user_metadata/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.User.merge_and_update_user_metadata/3","doc":"object\nMetadata saved on the user that is only visible to your backend. The new object will be merged with the existing value.","ref":"Clerk.User.html#merge_and_update_user_metadata/3-private_metadata"},{"type":"function","title":"unsafe_metadata - Clerk.User.merge_and_update_user_metadata/3","doc":"object\nMetadata saved on the user, that can be updated from both the Frontend and Backend APIs. The new object will be merged with the existing value.\n\nNote: Since this data can be modified from the frontend, it is not guaranteed to be safe.","ref":"Clerk.User.html#merge_and_update_user_metadata/3-unsafe_metadata"},{"type":"function","title":"Clerk.User.oauth_access_tokens/3","doc":"Fetch the corresponding OAuth access token for a user that has previously authenticated with a particular OAuth provider. For OAuth 2.0, if the access token has expired and we have a corresponding refresh token, the access token will be refreshed transparently the new one will be returned.","ref":"Clerk.User.html#oauth_access_tokens/3"},{"type":"function","title":"Clerk.User.unban/2","doc":"Removes the ban mark from the given user.","ref":"Clerk.User.html#unban/2"},{"type":"function","title":"Clerk.User.unlock/2","doc":"Removes the lock from the given user.","ref":"Clerk.User.html#unlock/2"},{"type":"function","title":"Clerk.User.update/3","doc":"Update a user's attributes.","ref":"Clerk.User.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - Clerk.User.update/3","doc":"","ref":"Clerk.User.html#update/3-request-body-schema-application-json"},{"type":"function","title":"external_id - Clerk.User.update/3","doc":"string or null\nThe ID of the user as used in your external systems or your previous authentication solution. Must be unique across your instance.","ref":"Clerk.User.html#update/3-external_id"},{"type":"function","title":"first_name - Clerk.User.update/3","doc":"string or null\nThe first name to assign to the user","ref":"Clerk.User.html#update/3-first_name"},{"type":"function","title":"last_name - Clerk.User.update/3","doc":"string or null\nThe last name to assign to the user","ref":"Clerk.User.html#update/3-last_name"},{"type":"function","title":"primary_email_address_id - Clerk.User.update/3","doc":"string\nThe ID of the email address to set as primary. It must be verified, and present on the current user.","ref":"Clerk.User.html#update/3-primary_email_address_id"},{"type":"function","title":"notify_primary_email_address_changed - Clerk.User.update/3","doc":"boolean\nDefault: false\nIf set to true, the user will be notified that their primary email address has changed. By default, no notification is sent.","ref":"Clerk.User.html#update/3-notify_primary_email_address_changed"},{"type":"function","title":"primary_phone_number_id - Clerk.User.update/3","doc":"string\nThe ID of the phone number to set as primary. It must be verified, and present on the current user.","ref":"Clerk.User.html#update/3-primary_phone_number_id"},{"type":"function","title":"primary_web3_wallet_id - Clerk.User.update/3","doc":"string\nThe ID of the web3 wallets to set as primary. It must be verified, and present on the current user.","ref":"Clerk.User.html#update/3-primary_web3_wallet_id"},{"type":"function","title":"username - Clerk.User.update/3","doc":"string or null\nThe username to give to the user. It must be unique across your instance.","ref":"Clerk.User.html#update/3-username"},{"type":"function","title":"profile_image_id - Clerk.User.update/3","doc":"string or null\nThe ID of the image to set as the user's profile image","ref":"Clerk.User.html#update/3-profile_image_id"},{"type":"function","title":"password - Clerk.User.update/3","doc":"string or null\nThe plaintext password to give the user. Must be at least 8 characters long, and can not be in any list of hacked passwords.","ref":"Clerk.User.html#update/3-password"},{"type":"function","title":"password_digest - Clerk.User.update/3","doc":"string\nIn case you already have the password digests and not the passwords, you can use them for the newly created user via this property. The digests should be generated with one of the supported algorithms. The hashing algorithm can be specified using the password_hasher property.","ref":"Clerk.User.html#update/3-password_digest"},{"type":"function","title":"password_hasher - Clerk.User.update/3","doc":"string\nThe hashing algorithm that was used to generate the password digest. The algorithms we support at the moment are bcrypt, bcrypt_sha256_django, md5, pbkdf2_sha256, pbkdf2_sha256_django, phpass, scrypt_firebase, sha256 and the argon2 variants argon2i and argon2id.","ref":"Clerk.User.html#update/3-password_hasher"},{"type":"function","title":"skip_password_checks - Clerk.User.update/3","doc":"boolean or null\nSet it to true if you're updating the user's password and want to skip any password policy settings check. This parameter can only be used when providing a password.","ref":"Clerk.User.html#update/3-skip_password_checks"},{"type":"function","title":"sign_out_of_other_sessions - Clerk.User.update/3","doc":"boolean or null\nSet to true to sign out the user from all their active sessions once their password is updated. This parameter can only be used when providing a password.","ref":"Clerk.User.html#update/3-sign_out_of_other_sessions"},{"type":"function","title":"totp_secret - Clerk.User.update/3","doc":"string\nIn case TOTP is configured on the instance, you can provide the secret to enable it on the specific user without the need to reset it. Please note that currently the supported options are:\n\nPeriod: 30 seconds\nCode length: 6 digits\nAlgorithm: SHA1","ref":"Clerk.User.html#update/3-totp_secret"},{"type":"function","title":"backup_codes - Clerk.User.update/3","doc":"Array of strings\nIf Backup Codes are configured on the instance, you can provide them to enable it on the specific user without the need to reset them. You must provide the backup codes in plain format or the corresponding bcrypt digest.","ref":"Clerk.User.html#update/3-backup_codes"},{"type":"function","title":"public_metadata - Clerk.User.update/3","doc":"object\nMetadata saved on the user, that is visible to both your Frontend and Backend APIs","ref":"Clerk.User.html#update/3-public_metadata"},{"type":"function","title":"private_metadata - Clerk.User.update/3","doc":"object\nMetadata saved on the user, that is only visible to your Backend API","ref":"Clerk.User.html#update/3-private_metadata"},{"type":"function","title":"unsafe_metadata - Clerk.User.update/3","doc":"object\nMetadata saved on the user, that can be updated from both the Frontend and Backend APIs. Note: Since this data can be modified from the frontend, it is not guaranteed to be safe.","ref":"Clerk.User.html#update/3-unsafe_metadata"},{"type":"function","title":"delete_self_enabled - Clerk.User.update/3","doc":"boolean or null\nIf true, the user can delete themselves with the Frontend API.","ref":"Clerk.User.html#update/3-delete_self_enabled"},{"type":"function","title":"create_organization_enabled - Clerk.User.update/3","doc":"boolean or null\nIf true, the user can create organizations with the Frontend API.","ref":"Clerk.User.html#update/3-create_organization_enabled"},{"type":"function","title":"created_at - Clerk.User.update/3","doc":"string\nA custom date/time denoting when the user signed up to the application, specified in RFC3339 format (e.g. 2012-10-20T07:15:20.902Z).","ref":"Clerk.User.html#update/3-created_at"},{"type":"function","title":"Clerk.User.update_profile_image/3","doc":"Update a user's profile image\n\n# Example\n\n```elixir\n  file = \"~/Downloads/something.jpeg\" |> Path.expand() |> File.read!()\n  Clerk.User.update_profile_image(\"my_user_id\", file)\n```","ref":"Clerk.User.html#update_profile_image/3"},{"type":"function","title":"Clerk.User.verify_password/3","doc":"Check that the user's password matches the supplied input. Useful for custom auth flows and re-verification.","ref":"Clerk.User.html#verify_password/3"},{"type":"function","title":"Clerk.User.verify_totp/3","doc":"Verify that the provided TOTP or backup code is valid for the user. Verifying a backup code will result it in being consumed (i.e. it will become invalid). Useful for custom auth flows and re-verification.","ref":"Clerk.User.html#verify_totp/3"},{"type":"module","title":"Clerk.Webhook","doc":"You can configure webhooks to be notified about various events that happen on your instance.\n\nhttps://clerk.com/docs/integration/webhooks","ref":"Clerk.Webhook.html"},{"type":"function","title":"Clerk.Webhook.create/2","doc":"Create a Svix app and associate it with the current instance","ref":"Clerk.Webhook.html#create/2"},{"type":"function","title":"Clerk.Webhook.create_dashboard_url/2","doc":"Generate a new url for accessing the Svix's management dashboard for that particular instance","ref":"Clerk.Webhook.html#create_dashboard_url/2"},{"type":"function","title":"Clerk.Webhook.delete/2","doc":"Delete a Svix app and disassociate it from the current instance","ref":"Clerk.Webhook.html#delete/2"},{"type":"module","title":"JWTTemplate","doc":"JWT Templates allow you to generate custom authentication tokens tied to authenticated sessions, enabling you to integrate with third-party services.\n\nhttps://clerk.com/docs/request-authentication/jwt-templates","ref":"JWTTemplate.html"},{"type":"function","title":"JWTTemplate.create/2","doc":"Create a new JWT template","ref":"JWTTemplate.html#create/2"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - JWTTemplate.create/2","doc":"","ref":"JWTTemplate.html#create/2-request-body-schema-application-json"},{"type":"function","title":"name - JWTTemplate.create/2","doc":"string\nJWT template name","ref":"JWTTemplate.html#create/2-name"},{"type":"function","title":"claims - JWTTemplate.create/2","doc":"object\nJWT template claims in JSON format","ref":"JWTTemplate.html#create/2-claims"},{"type":"function","title":"lifetime - JWTTemplate.create/2","doc":"number or null [ 30 .. 315360000 ]\nJWT token lifetime","ref":"JWTTemplate.html#create/2-lifetime"},{"type":"function","title":"allowed_clock_skew - JWTTemplate.create/2","doc":"number or null [ 0 .. 300 ]\nJWT token allowed clock skew","ref":"JWTTemplate.html#create/2-allowed_clock_skew"},{"type":"function","title":"custom_signing_key - JWTTemplate.create/2","doc":"boolean\nWhether a custom signing key/algorithm is also provided for this template","ref":"JWTTemplate.html#create/2-custom_signing_key"},{"type":"function","title":"signing_algorithm - JWTTemplate.create/2","doc":"string or null\nThe custom signing algorithm to use when minting JWTs","ref":"JWTTemplate.html#create/2-signing_algorithm"},{"type":"function","title":"signing_key - JWTTemplate.create/2","doc":"string or null\nThe custom signing private key to use when minting JWTs","ref":"JWTTemplate.html#create/2-signing_key"},{"type":"function","title":"JWTTemplate.delete/2","doc":"Deletes a JWT template","ref":"JWTTemplate.html#delete/2"},{"type":"function","title":"JWTTemplate.get/2","doc":"Retrieve the details of a given JWT template","ref":"JWTTemplate.html#get/2"},{"type":"function","title":"JWTTemplate.list/1","doc":"Lists all JWT templates","ref":"JWTTemplate.html#list/1"},{"type":"function","title":"JWTTemplate.update/3","doc":"Updates an existing JWT template","ref":"JWTTemplate.html#update/3"},{"type":"function","title":"REQUEST BODY SCHEMA: application/json - JWTTemplate.update/3","doc":"","ref":"JWTTemplate.html#update/3-request-body-schema-application-json"},{"type":"function","title":"name - JWTTemplate.update/3","doc":"string\nJWT template name","ref":"JWTTemplate.html#update/3-name"},{"type":"function","title":"claims - JWTTemplate.update/3","doc":"object\nJWT template claims in JSON format","ref":"JWTTemplate.html#update/3-claims"},{"type":"function","title":"lifetime - JWTTemplate.update/3","doc":"number or null [ 30 .. 315360000 ]\nJWT token lifetime","ref":"JWTTemplate.html#update/3-lifetime"},{"type":"function","title":"allowed_clock_skew - JWTTemplate.update/3","doc":"number or null [ 0 .. 300 ]\nJWT token allowed clock skew","ref":"JWTTemplate.html#update/3-allowed_clock_skew"},{"type":"function","title":"custom_signing_key - JWTTemplate.update/3","doc":"boolean\nWhether a custom signing key/algorithm is also provided for this template","ref":"JWTTemplate.html#update/3-custom_signing_key"},{"type":"function","title":"signing_algorithm - JWTTemplate.update/3","doc":"string or null\nThe custom signing algorithm to use when minting JWTs","ref":"JWTTemplate.html#update/3-signing_algorithm"},{"type":"function","title":"signing_key - JWTTemplate.update/3","doc":"string or null\nThe custom signing private key to use when minting JWTs","ref":"JWTTemplate.html#update/3-signing_key"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}